import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import React from 'react';
import { TriggerComponent } from './Trigger';
export declare type MouseDelayVariant = 'none' | 'medium' | 'long' | number;
export declare type TooltipProps = PropsWithMetadata<{
    className?: string;
    /** The element which triggers the tooltip pop-up. */
    children: React.ReactElement | string;
    /** Content rendered inside the tooltip pop-up */
    content: React.ReactNode;
    /** id of the tooltip */
    id?: string;
    /** Create custom trigger element */
    component?: TriggerComponent;
    /** Mouse enter delay specifying how long a tooltip takes before becoming visible */
    mouseEnterDelay?: MouseDelayVariant;
    /** Mouse out delay specifying how long a tooltip stays visible after hovering out */
    mouseOutDelay?: MouseDelayVariant;
    /** Placement of the tooltip */
    placement?: 'top' | 'left' | 'bottom' | 'right';
    /** Whether tooltip text stays visible when user moves the pointer over its content (requires long `mouseOutDelay`) */
    interactive?: boolean;
}>;
declare const Tooltip: ({ id: propsId, className, component, children, content, mouseEnterDelay, mouseOutDelay, metadata, interactive, placement, }: TooltipProps) => JSX.Element;
export default Tooltip;
